## debhelper 0.55bo1

=== debhelper-0.55/debian/changelog ===
debhelper (0.55) unstable; urgency=low

  * dh_clean: delete substvarsfiles probperly again (broken in 0.53). #17077
  * Added call to dh_movefiles, and a commented out call to dh_testversion,
    to some of the sample rules files. #17076

 -- Joey Hess <joeyh@master.debian.org>  Wed, 14 Jan 1998 12:48:43 -0500

debhelper (0.54) unstable; urgency=low

  * dh_lib: no longer call getopt(1) to parse options. I wrote my own
    argument processor in perl.
  * Added long versions of all arguments. TODO: document them.
  * All parameters may now be passed values that include whitespace (ie,
    dh_installinit -u"defaults 10")
  * Now depends on perl (needs Getopt::Long).

 -- Joey Hess <joeyh@master.debian.org>  Sat, 10 Jan 1998 15:44:09 -0500

debhelper (0.53) unstable; urgency=low

  * dh_installmanpages: ignore all man pages installed into debian/tmp
    type directories. (#16933)
  * dh_*: set up alternative name for files like debian/dirs; you may now
    use debian/<mainpackage>.dirs too, for consistency. (#16934)
  * dh_installdocs: if a debian/package.copyright file exists, use it in
    preference to debian/copyright, so subpackages with varying copyrights
    are supported. (#16935)
  * Added dh_movefiles, which moves files out of debian/tmp into subpackages.
    (#16932)

 -- Joey Hess <joeyh@master.debian.org>  Sat, 10 Jan 1998 11:30:12 -0500

debhelper (0.52) unstable; urgency=low

  * dh_compress: compress file belongs in debian/. It was looking in ./
    This has been broken since version 0.30.

 -- Joey Hess <joeyh@master.debian.org>  Tue,  6 Jan 1998 14:08:31 -0500

debhelper (0.51) unstable; urgency=low

  * dh_fixperms: make shared libraries non-executable, in accordance with
    policy. (#16644)
  * dh_makeshlibs: introduced a -V flag, which allows you to specify explicit
    version requirements in the shlibs file.
  * dh_{installdirs,installdocs,installexamples,suidregister,undocumented}:
    Added a -A flag, which makes any files/directories specified on the
    command line apply to ALL packages acted on.
  * Updated Standards-Version to latest.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  5 Jan 1998 16:15:01 -0500

debhelper (0.50) unstable; urgency=low

  * dh_makeshlibs: added -m parameter, which can force the major number
    of the shared library if it is guessed incorrectly.
  * Added dh_testversion to let your package depend on a certian version of
    debhelper to build.
  * dh_{installdirs,installdocs,installexamples,suidregieter,undocumented}:
    behavior modification - any files/directories specified on the command
    line now apply to the first package acted on. This may not be the
    first package listed in debian/control, if you use -p to make it act on
    a given package, or -i or -a.
  * If you take advantage of the above new behavior, I suggest you add
    "dh_testversion 0.50" to your debian/rules.
  * Display a warning message in cases where the above behavior is triggered,
    and debhelper's behavior has altered.
  * I have grepped debian's source packages, and I'm quite sure this
    is not going to affect any packages currently in debian.
  * dh_lib: isnative() now caches its return value, which should optimize
    away several more calls to dpkg-parsechangelog.
  * README: explain a way to embed debhelper generated shell script into a
    perl script.
  * dh_installinit: A hack to work around the problem in getopt(1) that
    led to bug report #16229: Any text specified on the command line that is
    not a flag will be presumed to be part of the -u flag. Yuck.

 -- Joey Hess <joeyh@master.debian.org>  Sat,  3 Jan 1998 14:36:15 -0500

debhelper (0.37) unstable; urgency=low

  * dh_du: Fixed hardcoded debian/tmp.
  * This change got lost by accident, redid it: Optimized out most of the
    slowdown caused by using dpkg-parsechangelog - now it's only called by
    2 dh_* programs.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 28 Dec 1997 20:45:22 -0500

debhelper (0.36) unstable; urgency=low

  * dh_undocumented: exit with an error message if the man page specified
    does not have a section.

 -- Joey Hess <joeyh@master.debian.org>  Sat, 27 Dec 1997 14:14:04 -0500

debhelper (0.35) unstable; urgency=low

  * dh_lib: use dpkg-parsechangelog instead of parsing it by hand. This
    makes a package build slower (by about 30 seconds, on average), so
    I might remove it or optimize it if too many people yell at me. :-)
  * dh_undocumented.1: note that it really links to undocumented.7.gz.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 22 Dec 1997 22:19:39 -0500

debhelper (0.34) unstable; urgency=low

  * Fixed typo #16215.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 22 Dec 1997 14:41:46 -0500

debhelper (0.33) unstable; urgency=low

  * examples/*: use prefix, instead of PREFIX, becuase autoconf uses that.
    Also, use `pwd`/debian/tmp, instead of debian/tmp.
  * Always substitute #DEBHELPER# in maintainer scripts, even if it expands
    to nothing, for neatness and to save a few bytes. #15863
  * dh_clean: added -k parameter to not delete debian/files. #15789
  * examples/*: use dh_clean -k in the binary targets of all rules files,
    for safety.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 11 Dec 1997 19:05:41 -0500

debhelper (0.32) unstable; urgency=low

  * Split dh_installdebfiles into 3 programs (dh_installdeb, dh_shlibdeps,
    and dh_gencontrol). dh_installdebfiles still works, but is depricated.
  * Added an examples/rules.indep file.
  * examples/rules.multi: changed dh_du -a to dh_du -i in binary-indep
    section.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 10 Dec 1997 19:53:13 -0500

debhelper (0.31) unstable; urgency=low

  * Fixed man page typos #15685.

 -- Joey Hess <joeyh@master.debian.org>  Sat,  6 Dec 1997 21:44:58 -0500

debhelper (0.30) unstable; urgency=low

  * dh_md5sumes, dh_installdirs, dh_compress: fixed assorted cd bugs.

 -- Joey Hess <joeyh@master.debian.org>  Fri,  5 Dec 1997 15:08:36 -0500


