=== debian/changelog ===
debhelper (0.55bo1) bo-unstable; urgency=low

  * dh_compress: Applied patch from Yann Dirson <ydirson@a2points.com>,
    to make it not abort of one of the find's fails.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 15 Jan 1998 19:16:48 -0500
