=== debian/control ===
Source: debhelper
Section: devel
Priority: optional
Maintainer: Joey Hess <joeyh@master.debian.org>
Standards-Version: 2.3.0.1

Package: debhelper
Architecture: all
Depends: perl, fileutils (>= 3.16-4)
Description: helper programs for debian/rules
 A collection of programs that can be used in a debian/rules file to
 automate common tasks. Programs are included to install various files into
 your package, compress files, fix file permissions, integrate your package
 with the debian menu system, etc.
