## debhelper 0.79hamm1

=== debian/changelog ===
debhelper (0.79hamm1) frozen; urgency=low

  * Upload to hamm only becuase debhelper has branched for slink.
  * dh_strip: strip .comment and .note, not comment and note, when stripping
    elf binaries. This makes for smaller output files. This has always been
    broken in debhelper before! (#22395)

 -- Joey Hess <joeyh@master.debian.org>  Wed, 13 May 1998 11:59:52 -0700

debhelper (0.79) frozen; urgency=low

  * Reupload to get it into frozen. No changes since version 0.75 
    except bugfixes.

 -- Joey Hess <joeyh@master.debian.org>  Thu,  2 Apr 1998 16:10:55 -0800

debhelper (0.78) frozen unstable; urgency=low

  * More spelling fixes from Christian T. Steigies. (I ignored the spelling
    fixes to the changelog, though - too many, and a changelog isn't meant
    to be changed after the fact :-)
  * dh_fixperms: remove execute bits from .la files genrated by libtool.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 30 Mar 1998 12:44:42 -0800

debhelper (0.77) frozen unstable; urgency=low

  * Fixed a nasty bug in dh_makeshlibs when it was called with -V, but with
    no version string after the -V.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 29 Mar 1998 16:08:27 -0800

debhelper (0.76) frozen unstable; urgency=low

  * I intended version 0.75 to make it in before the freeze, and it did not.
    This is just to get it into frozen. There are no changes except bug
    fixes.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 26 Mar 1998 12:25:47 -0800

debhelper (0.75) unstable; urgency=low

  * Actually exit if there is an unknown option on the command line (oooops!)
  * Fix .so file conversion to actually work (#19933).

 -- Joey Hess <joeyh@master.debian.org>  Thu, 19 Mar 1998 11:54:58 -0800

debhelper (0.74) unstable; urgency=low

  * dh_installmanpages: convert .so links to symlinks at last (#19829).
  * dh_installmanpages.1: documented that no, dh_installmanpages never
    installs symlink man pages from the source package (#19831).
  * dh_installmanpages: minor speedups
  * PROGRAMMING: numerous spelling fixes, thanks to Christian T. Steigies.
    Life is too short for me to spell check my technical documentation, but
    I always welcome corrections!

 -- Joey Hess <joeyh@master.debian.org>  Tue, 17 Mar 1998 22:09:07 -0800

debhelper (0.73) unstable; urgency=low

  * Fixed typo in dh_suidregister.1

 -- Joey Hess <joeyh@master.debian.org>  Thu, 12 Mar 1998 16:30:27 -0800

debhelper (0.72) unstable; urgency=low

  * Applied patch from Yann Dirson <ydirson@a2points.com> to add a
    --init-script parameter to dh_installinit. (#19227)
  * Documented this new switch.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  9 Mar 1998 17:12:04 -0800

debhelper (0.71) unstable; urgency=low

  * dh_makeshlibs: -V flag was broken: if just -V was specified,
    dh_makeshlibs would die. Corrected this.
  * dh_lib: removed warning if the arguments passed to a debhelper command
    do not apply to the main package. It's been long enough so I'm 100% sure
    no packages use the old behavior.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  9 Mar 1998 11:46:59 -0800

debhelper (0.70) unstable; urgency=low

  * dh_lib: autoscript(): no longer add the modification date to the
    comments aurrounding debhelper-added code. I don't think this date was
    gaining us anything, so let's remove it and save some disk space.

 -- Joey Hess <joeyh@master.debian.org>  Sun,  8 Mar 1998 21:15:13 -0800

debhelper (0.69) unstable; urgency=low

  * Refer to suidregister (8), not (1). Bug #19149.
  * Removed junk file from debian/ dir.

 -- Joey Hess <joeyh@master.debian.org>  Sun,  8 Mar 1998 13:04:36 -0800

debhelper (0.68) unstable; urgency=low

  * Document that README.debian files are installed as README.Debian (#19089).

 -- Joey Hess <joeyh@master.debian.org>  Fri,  6 Mar 1998 17:48:32 -0800

debhelper (0.67) unstable; urgency=low

  * Added PROGRAMMING document that describes the interface of dh_lib, to
    aid others in writing and understanding debhelper programs.

 -- Joey Hess <joeyh@master.debian.org>  Fri,  6 Mar 1998 12:45:08 -0800

debhelper (0.66) unstable; urgency=low

  * README, dh_testversion.1, dh_movefiles.1: more doc fixes.
  * dh_movefiles: don't check for package names to see if files are being
    moved from one package back into itself, instead, check tmp dir names.
    If you use this behavior, you should use "dh_testversion 0.66".

 -- Joey Hess <joeyh@master.debian.org>  Mon,  2 Mar 1998 17:50:29 -0800

debhelper (0.65) unstable; urgency=low

  * dh_installdocs.1, dh_movefiles.1: clarified documentation for Che.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  2 Mar 1998 17:20:39 -0800

debhelper (0.64) unstable; urgency=low

  * Removed some junk (a whole old debhelper source tree!) that had gotten
    into the source package by accident.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 23 Feb 1998 20:23:34 -0800

debhelper (0.63) unstable; urgency=low

  * Removed some debugging output from dh_installmanpages.
  * du_du: no longer does anything, becuase it has been decided on
    debian-policy that du control files are bad.
  * examples/*: removed dh_du calls.
  * debian/rules: removed dh_du call.
  * Modified dh_gencontrol, dh_makeshlibs, and dh_md5sums to generate files 
    with the correct permissions even if the umask is set to unusual 
    values. (#18283)

 -- Joey Hess <joeyh@master.debian.org>  Mon, 16 Feb 1998 23:34:36 -0800

debhelper (0.62) unstable; urgency=low

  * dh_installmanpages: if the man page filename ends in 'x', install it in
    /usr/X11R6/man/.
  * TODO: expanded descriptions of stuff, in the hope someone else will get
    inspired to implement some of it.
  *  Also added all wishlist bugs to the TODO.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 12 Feb 1998 22:38:53 -0800

debhelper (0.61) unstable; urgency=low

  * dh_installmanpages: Add / to end of egrep -v regexp, fixes it so
    debian/icewm.1 can be found.


