=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: devel
 Priority: optional
 Maintainer: Joey Hess <joeyh@master.debian.org>
-Standards-Version: 2.3.0.1
+Standards-Version: 2.4.0.0
 
 Package: debhelper
 Architecture: all
-Depends: perl, fileutils (>= 3.16-4)
+Depends: perl (>= 5.004), fileutils (>= 3.16-4)
 Description: helper programs for debian/rules
  A collection of programs that can be used in a debian/rules file to
  automate common tasks. Programs are included to install various files into
