=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	cp -a dh_lib dh_getopt.pl debian/tmp/usr/lib/debhelper
 	cp -a autoscripts debian/tmp/usr/lib/debhelper
 
-	./dh_installdocs TODO README
+	./dh_installdocs TODO README PROGRAMMING
 	./dh_installexamples examples/*
 	./dh_installmenu
 	./dh_installmanpages
@@ -53,7 +53,6 @@
 	./dh_suidregister
 	./dh_installdeb
 	./dh_gencontrol
-	./dh_du
 	./dh_md5sums
 	./dh_builddeb
