## debhelper 1.1.24

=== debhelper-1.1.14/debian/changelog ===
debhelper (1.1.14) unstable; urgency=low

  * Debhelper now has a web page at http://kitenet.net/programs/debhelper/

  * Added code to debian/rules to update the web page when I release new
    debhelpers.
  * dh_compress: since version 0.88 or so, dh_compress has bombed out if
    a debian/compress file returned an error code. This was actually
    unintentional - in fact, the debian/compress example in the man page
    will fail this way if usr/info or usr/X11R6 is not present. Corrected
    the program to not fail. (#26214)

 -- Joey Hess <joeyh@master.debian.org>  Sun, 30 Aug 1998 22:15:44 -0700

debhelper (1.1.13) unstable; urgency=low

  * dh_installmanpages: rewritten in perl. Allows me to fix bug #26221 (long
    symlink problem after .so conversion), and is about twice as fast.

 -- Joey Hess <joeyh@master.debian.org>  Sat, 29 Aug 1998 22:06:06 -0700

debhelper (1.1.12) unstable; urgency=low

  * dh_installdocs: forgot to pass package name to isnative(). Any native
    debian package that had a debian/TODO would have it installed with the
    wrong name, and debhelper would warn of undefined values for some
    packages. Fixed.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 27 Aug 1998 12:35:42 -0700

debhelper (1.1.11) unstable; urgency=low

  * dh_installchangelogs: added -k flag, that will make it install a symlink
    to the original name of the upstream changelog.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 20 Aug 1998 15:40:40 -0700

debhelper (1.1.10) unstable; urgency=low

  * It's come to my attention that a few packages use filename globbing in
    debian/{docs,examples,whatever} files and expect that to work. It used
    to work before the perl conversion, but it was never _documented_, or
    intented to work. If you use this in your packages, they are broken and
    need fixing (and will refuse to build with current versions of debhelper).
    I apologize for the inconvenience.

  * dh_clean: fixed a bug, intorduced in version 1.1.8, where it didn't
    remove debian/files properly.
  * dh_shlibdeps, dh_testdir, dh_testroot, dh_testversion: converted to perl.
  * Encode the version of debhelper in a sepererate file, so dh_testversion
    doesn't have to be generated when a new version of debhelper is built.
  * Removed bogus menu file.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 17 Aug 1998 14:15:17 -0700

debhelper (1.1.9) unstable; urgency=low

  * dh_fixperms: has been removing the +x bits of all doc/*/examples/* files
    since version 0.97 or so. Fixed.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 16 Aug 1998 17:11:48 -0700

debhelper (1.1.8) unstable; urgency=low

  * Dh_Lib.pm: made U_PARAMS an array of parameters.
  * Dh_Lib.pm: fixed bug in the escaping code, numbers don't need to be
    escaped. Also, no longer escape "-".
  * dh_clean, dh_gencontrol, dh_installcron: converted to perl.
  * dh_gencontrol.1, dh_gencontrol: the man page had said that
    --update-rcd-params was equivilant to -u for this program. You should
    really use --dpkg-gencontrol-params.

 -- Joey Hess <joeyh@master.debian.org>  Fri, 14 Aug 1998 14:07:35 -0700

debhelper (1.1.7) unstable; urgency=low

  * examples/rules.multi: moved dh_movefiles into the install section.
  * doc/README: Added a note explaining why above change was necessary.
  * Dh_Lib.pm: escape_shell(): now escapes the full range of special
    characters recognized by bash (and ksh). Thanks to Branden Robinson
    <branden@purdue.edu> for looking that up.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 11 Aug 1998 23:32:05 -0700

debhelper (1.1.6) unstable; urgency=low

  * dh_movefiles: don't die on symlinks (#25642). (Hope I got the fix right
    this time..)

 -- Joey Hess <joeyh@master.debian.org>  Tue, 11 Aug 1998 20:11:13 -0700

debhelper (1.1.5) unstable; urgency=low

  * dh_builddeb, dh_installchangelogs: converted to perl.
  * dh_installdirs: converted to perl, getting rid of nasty chdir en-route.
  * dh_installdirs: now you can use absolute directory names too if you
    prefer.
  * doc/PROGRAMMING: updated to cover new perl modules.
  * Dh_Lib.pm: doit(): when printing out commands that have run, escape
    metacharacters in the output. I probably don't escape out all the
    characters I should, but this is just a convenience to the user anyway.
  * dh_installdebfiles: it's been broken forever, I fixed it. Obviously
    nobody uses it anymore, which is good, since it's deprected :-)

 -- Joey Hess <joeyh@master.debian.org>  Tue, 11 Aug 1998 15:23:34 -0700

debhelper (1.1.4) unstable; urgency=low

  * dh_movefiles: fixed bug introduced in 1.1.1 where it would fail in some
    cases if you tried to move a broken symlink.
  * dh_installdocs: was only operating on the first package.
  * dh_installexamples: rewritten in perl.
  * Dh_Lib.pm: all multiple package operations were broken.
  * Dh_Lib.pm: implemented complex_doit() and autoscript().
  * Made all perl code work with use strict and -w (well, except
    dh_getopt.pl, but that's a hack that'll go away one day).
  * I didn't realize, but rewriting dh_installdocs in perl fixed bug #24686
    (blank lines in debian/docs file problem), although this same problem 
    applies to other debhelper programs... like dh_installexamples, which had
    the same bug fixed when I rewrote it in perl just now.
  * Dh_Lib.pm: accidentially didn't check DH_VERBOSE if commands were not
    passed any switches.
  * Dh_Getopt.pm: --noscripts was broken.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 11 Aug 1998 12:44:04 -0700

debhelper (1.1.3) unstable; urgency=low

  * dh_md5sums: -x was broken since version 1.1.1 - fixed.
  * dh_lib: removed get_arch_indep_packages() function that hasn't been used
    at all for a long while.
  * Added Dh_Lib.pm, a translation of dh_lib into perl.
  * dh_getopt.pl: moved most of it into new Dh_Getopt.pm module, rewriting
    large chunks in the process.

