=== debian/changelog ===
debhelper (1.1.24) unstable; urgency=low

  * dh_suidregister: remove suid/sgid bits from all files registered. The
    reason is this: if you're using suidmanager, and you want a file that
    ships suid to never be suid on your system, shipping it suid in the .deb
    will create a window where it is suid before suidmanager fixes it's
    permissions. This change should be transparent to users and developers.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 27 Oct 1998 18:19:48 -0800

debhelper (1.1.23) unstable; urgency=low

  * dh_clean: At the suggestion of James Troup <james@nocrew.org> now deletes
    files named *.P in .deps/ subdirectories. They are generated by automake.

 -- Joey Hess <joeyh@master.debian.org>  Sat, 24 Oct 1998 15:14:53 -0700

debhelper (1.1.22) unstable; urgency=low

  * dh_fixperms: quoting fix from Roderick Schertler <roderick@argon.org>
  * Added support for register-window-manager command which will be in a new
    (as yet unreleased) xbase. Now a new dh_installwm program handles
    registration of a window manager and the necessary modifications to
    postinst and postrm. It's safe to go ahead and start using this for your
    window manager packages, just note that it won't do anything until the new
    xbase is out, and that due to the design of register-window-manager, if
    your wm is installed before a xbase that supports register-window-manager
    is installed, the window manager will never be registered. (#20971)

 -- Joey Hess <joeyh@master.debian.org>  Wed, 14 Oct 1998 23:08:04 -0700

debhelper (1.1.21) unstable; urgency=low

  * Added install to .PHONY target of example rules files.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 11 Oct 1998 22:36:10 -0700

debhelper (1.1.20) unstable; urgency=low

  * Added a --same-arch flag, that is useful in the rare case when you have
    a package that builds only for 1 architecture, as part of a multi-part,
    multi-architecture source package. (Ie, netscape-dmotif).
  * Modified dh_installinit -r so it does start the daemon on the initial
    install (#26680).

 -- Joey Hess <joeyh@master.debian.org>  Fri,  2 Oct 1998 15:55:13 -0700

debhelper (1.1.19) unstable; urgency=low

  * dh_installmanpages: look at basename of man pacges specified on command
    line to skip, for backwards compatability. 

 -- Joey Hess <joeyh@master.debian.org>  Thu, 10 Sep 1998 11:31:42 -0700

debhelper (1.1.18) unstable; urgency=low

  * dh_installemacsen: substitute package name for #PACKAGE# when setting
    up postinst and prerm (#26560).

 -- Joey Hess <joeyh@master.debian.org>  Tue,  8 Sep 1998 14:24:30 -0700

debhelper (1.1.17) unstable; urgency=low

  * dh_strip: on Richard Braakman's advice, strip the .comment and .note
    sections of shared libraries.
  * Added DH_OPTIONS environment variable - anything in it will be treated
    as additional command line arguments by all debhelper commands. This in
    useful in some situations, for example, if you need to pass -p to all
    debhelper commands that will be run. If you use DH_OPTIONS, be sure to
    use dh_testversion 1.1.17 - older debhelpers will ignore it and do
    things you don't want them to.
  * Made -N properly exclude packages when no -i, -a, or -p flags are
    present. It didn't before, which was a bug.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  7 Sep 1998 17:33:19 -0700

debhelper (1.1.16) unstable; urgency=low

  * dh_fixperms: remove execute bits from static libraries as well as 
    shared libraries. (#26414)

 -- Joey Hess <joeyh@master.debian.org>  Fri,  4 Sep 1998 14:46:37 -0700

debhelper (1.1.15) unstable; urgency=medium

  * dh_installmanpages: the new perl version had a nasty habit of 
    installing .so.x library files as man pages. Fixed.
  * dh_installmanpages: the code to exclude searching for man pages in
    debian/tmp directories was broken. Fixed.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 31 Aug 1998 00:05:17 -0700
