=== debhelper-1.1.14/debian/control ===
Source: debhelper
Section: devel
Priority: optional
Maintainer: Joey Hess <joeyh@master.debian.org>
Standards-Version: 2.4.1.3

Package: debhelper
Architecture: all
Depends: perl (>= 5.004), fileutils (>= 3.16-4), file
Description: helper programs for debian/rules
 A collection of programs that can be used in a debian/rules file to
 automate common tasks related to building binary debian packages. Programs
 are included to install various files into your package, compress files, fix
 file permissions, integrate your package with the debian menu system, etc.
