=== debhelper-1.1.14/debian/rules ===
#!/usr/bin/make -f
# Note that I have to refer to debhelper programs with ./, to make sure
# I run the most current ones. That's also why there is a symlink to the 
# current dh_lib and the current dh_getopt.pl in this debian/ directory.

# If any automatic script generation is done in building this package, 
# be sure to use the new templates from this package.
export DH_AUTOSCRIPTDIR=autoscripts

# Figure out the current debhelper version.
VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)')

export DH_VERBOSE=1

build:
# Nothing to do.

clean:
	./dh_testdir
	./dh_testroot
	./dh_clean

# Build architecture-dependent files here.
binary-arch: build
# Nothing to do.

# Build architecture-independent files here.
binary-indep: build
	./dh_testdir
	./dh_testroot
	./dh_clean -k
	./dh_installdirs usr/bin usr/lib/debhelper

	echo -e "package Dh_Version;\n\$$version='$(VERSION)';" > debian/tmp/usr/lib/debhelper/Dh_Version.pm
	find . -perm +111 -maxdepth 1 -type f -not -name "*.pl" \
		-exec install -p {} debian/tmp/usr/bin \;
	cp -a dh_lib dh_getopt.pl *.pm debian/tmp/usr/lib/debhelper
	cp -a autoscripts debian/tmp/usr/lib/debhelper

	./dh_installdocs doc/TODO doc/README doc/PROGRAMMING doc/from-debstd
	./dh_installexamples examples/*
	./dh_installmenu
	./dh_installmanpages
	./dh_installchangelogs
	./dh_movefiles
	./dh_compress
	./dh_fixperms
	./dh_suidregister
	./dh_installdeb
	./dh_gencontrol
	./dh_md5sums
	./dh_builddeb

# Install in the proper location on my ftp server and web server. Not intended
# for use by anyone except the author.
OLD_VER=$(shell perl -e '<>;<>;while(<>){last if /^ --/};<>;$$_=<>;print m/\((.*?)\)/'<debian/changelog)
localdist:
	dpkg-buildpackage -rfakeroot -tc
	if [ `hostname` = 'kite' ] ; then \
		cp ../debhelper_$(VERSION).tar.gz ../../public; \
		rm /home/ftp/pub/code/debhelper/* || true; \
		cp debian/changelog /home/pub/programs/debhelper/CHANGES; \
		echo $(VERSION) > /home/pub/programs/debhelper/LATEST-VERSION-IS; \
		cd ..; rm -rf debhelper-$(OLD_VER); \
		[ -f ../public/debhelper_$(OLD_VER).tar.gz ] && \
		tar zxf ../public/debhelper_$(OLD_VER).tar.gz || \
		tar zxf ../outdated/debhelper_$(OLD_VER).tar.gz; \
		diff -r -u --new-file debhelper-$(OLD_VER) debhelper-$(VERSION) > \
			/home/ftp/pub/code/debhelper/diffs/debhelper-$(VERSION).diff; \
		gzip -9f /home/ftp/pub/code/debhelper/diffs/debhelper-$(VERSION).diff; \
		cd /tmp; rm -f debhelper-$(OLD-VER); \
        fi

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary localdist
