## debhelper 2.0.86

=== debian/changelog ===
debhelper (2.0.86) unstable; urgency=low

  * dh_testroot: don't call init(), so it may be run even if it's not in the
    right place. Closes: #55065

 -- Joey Hess <joeyh@debian.org>  Thu, 13 Jan 2000 21:40:21 -0800

debhelper (2.0.85) unstable; urgency=low

  * Downgraded fileutils dependancy just a bit for the Hurd foks. 
    Closes: #54620

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Jan 2000 16:41:29 -0800

debhelper (2.0.84) unstable; urgency=low

  * Make all examples rules files executable.
  * Copyright date updates.

 -- Joey Hess <joeyh@debian.org>  Thu,  6 Jan 2000 15:10:55 -0800

debhelper (2.0.83) unstable; urgency=low

  * Depend on the current unstable fileutils, because I have to use chown
    --no-dereference. I'm not sure when it started working, but it didn't work
    in slink.

 -- Joey Hess <joeyh@debian.org>  Wed,  5 Jan 2000 14:22:26 -0800

debhelper (2.0.82) unstable; urgency=low

  * Added dh_installmime calls to examples, Closes: #54056

 -- Joey Hess <joeyh@debian.org>  Tue,  4 Jan 2000 09:35:19 -0800

debhelper (2.0.81) unstable; urgency=low

  * dh_installxaw: Patch from Josip Rodin to update to fhs paths, 
    Closes: #53029

 -- Joey Hess <joeyh@debian.org>  Mon, 20 Dec 1999 12:21:34 -0800

debhelper (2.0.80) unstable; urgency=low

  * Type fix, Closes: #52652

 -- Joey Hess <joeyh@debian.org>  Mon, 13 Dec 1999 13:47:48 -0800

debhelper (2.0.79) unstable; urgency=low

  * Corrected mispellings, Closes: #52013

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Dec 1999 13:46:18 -0800

debhelper (2.0.78) unstable; urgency=low

  * dh_fixperms: chown symlinks as well as normal files. Closes: #51169.

 -- Joey Hess <joeyh@debian.org>  Wed,  1 Dec 1999 13:34:06 -0800

debhelper (2.0.77) unstable; urgency=low

  * dh_suidregister: Fixed a rather esoteric bug: If a file had multiple
    hard links, and was suid, suidregister detected all the hard links as
    files that need to be registered. It looped, registering the first
    link, and then removing its suid bit. This messed up the registration
    of the other had links, since their permissions were now changed,
    leading to unpredictable results. The fix is to just not remove suid
    bits until all files have been registered. 

 -- Joey Hess <joeyh@debian.org>  Tue, 30 Nov 1999 00:26:42 -0800

debhelper (2.0.76) unstable; urgency=low

  * dh_installmanpages:
    - Added support for translated man pages, with a patch from Kis Gergely
      <kisg@lme.linux.hu>. Closes: #51268 
    - Fixed the undefined value problem in Kis's patch. 
    - This also Closes: #37092 come to think of it. 
  * dh_shlibdeps, dh_shlibdeps.1:
    - Added -X option, which makes it not examine some files. This is
      useful in rare cases. Closes: #51100 
    - Always pass "-dDepends" before the list of files, which makes it
      easier to specify other -d parameters in the uparams, and doesn't
      otherwise change the result at all. 
  * doc/TODO:
     - dh_installdebfiles is no longer a part of debhelper. This affects
      exactly one package in unstable, biss-awt, which has had a bug filed
      against it for 200+ days now asking that it stop using the program.
      dh_installdebfiles has been depreacted for nearly 2 years now.. 
  * This changelog was automatically generated from CVS commit information.
    Fear makechangelog.

 -- Joey Hess <joeyh@debian.org>  Sun, 28 Nov 1999 21:59:00 -0800

debhelper (2.0.75) unstable; urgency=low

  * Fixed typo in dh_installmenu.1, Closes: #51332

 -- Joey Hess <joeyh@debian.org>  Sat, 27 Nov 1999 20:40:15 -0800

debhelper (2.0.74) unstable; urgency=low

  * dh_suidregister: Die with understandable error message if asked to
    act on files that don't exist.
  * dh_installchangelogs: to comply with policy, if it's told to act on a
    html changelog, it installs it as changelog.html.gz and dumps a plain
    text version to changelog.gz. The dumping is done with lynx. 
    (Closes: #51099)
  * Dh_Getopt.pm: Modified it so any options specified after -- are added to
    U_PARAMS. This means that instead of passing '-u"something nasty"' to
    dh_gencontrol and the like, you can pass '-- something nasty' without
    fiddling to get the quoting right, etc.

 -- Joey Hess <joeyh@debian.org>  Tue, 23 Nov 1999 11:36:15 -0800

debhelper (2.0.73) unstable; urgency=low

  * Actually, debhelper build-depends on perl-5.005.

 -- Joey Hess <joeyh@debian.org>  Mon, 22 Nov 1999 21:43:55 -0800

debhelper (2.0.72) unstable; urgency=low

  * Corrected slash substitution problem in dh_installwm.

 -- Joey Hess <joeyh@debian.org>  Mon, 22 Nov 1999 21:43:47 -0800

debhelper (2.0.71) unstable; urgency=low

  * Oh, the build dependancies include all of debhelper's regular
    dependancies as well, since it builds using itself.

 -- Joey Hess <joeyh@debian.org>  Fri,  5 Nov 1999 14:14:26 -0800

debhelper (2.0.70) unstable; urgency=low

  * Added build dependancies to this package. That was easy; it just uses
    perl5 for regression testing, the rest of its build-deps are things
    in base.
  * dh_version.1: Added note that this program is quickly becoming obsolete.
  * doc/README, doc/from-debstd: Added reminders that if you use debhelper,
    you need to add debhelper to your Build-Depends line.

 -- Joey Hess <joeyh@debian.org>  Thu,  4 Nov 1999 21:24:37 -0800

debhelper (2.0.69) unstable; urgency=low

  * dh_shlibdeps: added -l option, which lets you specify a path that
    LD_LIBRARY_PATH is then set to when dpkg-shlibdeps is run. This
    should make it easier for library packages that also build binary
    packages to be built with correct dependancies. Closes: #36751
  * In honor of Burn all GIFs Day (hi Don!), I added alternative
    image formats .png, .jpg (and .jpeg) to the list of extensions dh_compress
    does not compress. Closes: #41733
  * Also, made all extensions dh_compress skips be looked at case
    insensitively.
  * dh_movefiles: force owner and group of installed files to be root.

